# Default Chains and Tokens

To customize which chains and tokens are displayed on loading the widget, you will need the chain ID and token address.

A full list of chains and their IDs can be found via Squid's API playground [here](https://squidrouter.readme.io/reference/get_chains), or at our API's [chains endpoint](https://api.0xsquid.com/v1/chains).

All tokens and their IDs can be found at our API's [tokens endpoint](https://api.0xsquid.com/v1/tokens), or you can filter them by chain at our API playground by visiting the /tokens reference [here](https://squidrouter.readme.io/reference/get_tokens) and inputting the chain's ID.

### **Default chains:** *initialFromChainID* and *initialToChainID*

```jsx
initialFromChainId: 42161, // eg. Arbitrum
initialToChainId: 1284 // eg. Moonbeam
```

### **Default tokens:** *defaultTokens*

```jsx
defaultTokens: [
  {
    address: "0xd4d42F0b6DEF4CE0383636770eF773390d85c61A", // Token address for SUSHI
    chainId: 42161, // Chain ID for Arbitrum
  },
  {
    address: "0xEeeeeEeeeEeEeeEeEeEeeEEEeeeeEeeeeeeeEEeE", // Token address for GLMR
    chainId: 1284, // Chain ID for Moonbeam
  },
]
```

### **Favourite tokens:** *favTokens*

```jsx
favTokens: [
  {
    address: "0x539bdE0d7Dbd336b79148AA742883198BBF60342", // Token address for MAGIC
    chainId: 42161, // Chain ID for Arbitrum
  },
  {
    address: "0x0E358838ce72d5e61E0018a2ffaC4bEC5F4c88d2", // Token address for STELLA
    chainId: 1284, // Chain ID for Moonbeam
  },
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.squidrouter.com/old-v2-documentation-deprecated/add-a-widget/widget/customization-guide/default-chains-and-tokens.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
